This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 657981 - xfig buffer overflow when opening .fig file with malicious colour definition
xfig buffer overflow when opening .fig file with malicious colour definition
Status: CLOSED DUPLICATE of bug 659676
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xfig (Show other bugs)
5.5
i686 Linux
low Severity medium
: rc
: ---
Assigned To: Stanislav Ochotnicky
desktop-bugs@redhat.com
:
Depends On:
Blocks: CVE-2010-4262
  Show dependency treegraph
 
Reported: 2010-11-28 20:25 EST by underground-stockholm
Modified: 2011-03-01 12:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-01 12:06:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
.FIG file that shows the problem (1.02 KB, application/octet-stream)
2010-11-28 20:25 EST, underground-stockholm
no flags Details

  None (edit)
Description underground-stockholm 2010-11-28 20:25:08 EST
Created attachment 463393 [details]
.FIG file that shows the problem

Description of problem:

xfig has a buffer overflow, when opening .fig files with malicious colour definitions. It will cause crashes and potential execution of arbitrary code.

Version-Release number of selected component (if applicable):
3.2.4-21.3

How reproducible:
100%

Steps to Reproduce:
1. Start xfig with the attached file as a parameter on the command line, or start xfig and open the attached file.
2.
3.
  
Actual results:
Segmentation fault

Expected results:
Normal open

Additional info:

-- Frank | Underground Stockholm | http://underground-stockholm.com/
Comment 1 RHEL Product and Program Management 2011-01-11 15:07:15 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 2 RHEL Product and Program Management 2011-01-12 10:24:04 EST
This request was erroneously denied for the current release of
Red Hat Enterprise Linux.  The error has been fixed and this
request has been re-proposed for the current release.
Comment 3 Jan Lieskovsky 2011-03-01 12:06:49 EST
https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2010-4262 is the primary
bug we are dealing (and which should be referenced to) wrt to dealing
with  this security flaw. Closing this one.

*** This bug has been marked as a duplicate of bug 659676 ***

Note You need to log in before you can comment on or make changes to this bug.